## The following can be run via phpMyAdmin, or by Admin->Tools->Install SQLPatch:
## Following two INSERT statements are for column grid layout

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, 
       configuration_description, configuration_group_id, sort_order, 
       last_modified, date_added, use_function, set_function) 
       VALUES ('Product Listing - Layout Style', 'PRODUCT_LISTING_LAYOUT_STYLE', 'rows', 
               'Select the layout style:<br />Each product can be listed in its own row (rows option)
                or products can be listed in multiple columns per row (columns option)', '8', '40', NULL, 
                now(), NULL, 'zen_cfg_select_option(array("rows", "columns"),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, 
       configuration_description, configuration_group_id, sort_order, 
       last_modified, date_added, use_function, set_function) 
       VALUES ('Product Listing - Columns Per Row', 'PRODUCT_LISTING_COLUMNS_PER_ROW', '3', 
               'Select the number of columns of products to show in each row in the product listing.  
               The default setting is 3.', '8', '41', NULL, now(), NULL, NULL);

## Following two INSERT statements are for language and currency options in the header

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, 
configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Show Languages in Header?', 
'HEADER_LANGUAGES_DISPLAY', 'True', 'Display the Languages flags/links in Header?', 19, 170, NULL, now(), NULL, 
'zen_cfg_select_option(array(''True'', ''False''), ');

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, 
configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('',
 'Show Currencies in Header?', 'HEADER_CURRENCIES_DISPLAY', 'True', 'Display the Currencies symbols/links in Header?', 19, 171,
  NULL, now(), NULL, 'zen_cfg_select_option(array(''True'', ''False''), ');


## The following is used only to remove this mod:
#delete from configuration where configuration_key in('PRODUCT_LISTING_LAYOUT_STYLE','PRODUCT_LISTING_COLUMNS_PER_ROW');
#delete from configuration where configuration_key = 'HEADER_LANGUAGES_DISPLAY';
#delete from configuration where configuration_key = 'HEADER_CURRENCIES_DISPLAY';
