<?php
/**
 * Footer Menu Definitions
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V3.0
 * @version $Id: footer_menu_deines.php 1.0 5/9/2009 Clyde Jones $
 */

/*BOF Menu Column 1 link Definitions*/
Define('TITLE_ONE', '<li class="menuTitle"><img src="includes/templates/biki_kini_green/images/store.png" alt="store" class="footer-icon" /></li>');
Define('CONTACT', '<li "><a href="' . zen_href_link(FILENAME_CONTACT_US) . '">Contact Us</a></li>');
Define('SITEMAP', '<li><a href="' . zen_href_link(FILENAME_SITE_MAP) . '">' . BOX_INFORMATION_SITE_MAP . '</a></li>');
Define('ACCOUNT', '<li><a href="' . zen_href_link(FILENAME_ACCOUNT, '', 'SSL') .'">' . HEADER_TITLE_MY_ACCOUNT . '</a></li>');
Define('COUPON', '<li><a href="' . zen_href_link(FILENAME_DISCOUNT_COUPON) . '">' .  BOX_INFORMATION_DISCOUNT_COUPONS . '</a></li>');
Define('UNSUBSCRIBE', '<li><a href="' . zen_href_link(FILENAME_UNSUBSCRIBE) . '">' . BOX_INFORMATION_UNSUBSCRIBE . '</a></li>');
/*EOF Menu Column 1 link Definitions*/

/*OF Menu Column 2 link Definitions*/
Define('TITLE_TWO', '<li class="menuTitle"><img src="includes/templates/biki_kini_green/images/policy.png" alt="Terms & Policy" class="footer-icon" /></li>');


Define('GVFAQ', '<li><a href="' . zen_href_link(FILENAME_GV_FAQ) . '">' . BOX_INFORMATION_GV . '</a></li>');
Define('SHIPPING', '<li><a href="' . zen_href_link(FILENAME_SHIPPING) . '">' . BOX_INFORMATION_SHIPPING . '</a></li>');
Define('PRIVACY', '<li><a href="' . zen_href_link(FILENAME_PRIVACY) . '">' . BOX_INFORMATION_PRIVACY . '</a></li>');
Define('CONDITIONS','<li><a href="' . zen_href_link(FILENAME_CONDITIONS) . '">' . BOX_INFORMATION_CONDITIONS . '</a></li>');
/*EOF Menu Column 2 link Definitions*/

/*BOF Menu Column 3 link Definitions*/
Define('TITLE_THREE', '<li class="menuTitle"><img src="includes/templates/biki_kini_green/images/social.png" alt="social" class="footer-icon" /></li>');



Define('FACEBOOK','<li class="footer-menu"><a href="http://www.facebook.com/CreativSite" target="_blank"><img src="includes/templates/biki_kini_green/images/facebook.png" alt="Facebook" class="footer-icon socialfooter-icon" /> Share </a></li>');
Define('GOOGLEPLUS','<li class="footer-menu"><a href="https://plus.google.com/103999893072955905644/posts" target="_blank"><img src="includes/templates/biki_kini_green/images/google+.png" alt="google+" class="footer-icon socialfooter-icon " />Connect </a></li>');
Define('TWITTER','<li class="footer-menu"><a href="http://twitter.com/CreativSite" target="_blank"><img src="includes/templates/biki_kini_green/images/twitter.png" alt="twitter" class="footer-icon socialfooter-icon " />Follow</a></li>');
Define('PINTERUS','<li class="footer-menu"><a href="http://pinterest.com/creativsite" target="_blank"><img src="includes/templates/biki_kini_green/images/pinterest.png" alt="pinterus" class="footer-icon socialfooter-icon " />Enjoy pins </a></li>');
Define('BLOG','<li class="footer-menu"><a href="http://creativsite.com/newsroom" target="_blank"><img src="includes/templates/biki_kini_green/images/blogger.png" alt="blog" class="footer-icon socialfooter-icon " />Explore </a></li>');
/*EOF Menu Column 3 link Definitions*/





/*BOF Footer Menu Definitions*/
Define('QUICKLINKS', '<dd class="first">
<ul>' . TITLE_ONE . CONTACT . SITEMAP . ACCOUNT . COUPON . UNSUBSCRIBE . '</ul></dd>');
Define('INFORMATION', '<dd class="second">
<ul>' . TITLE_TWO  . GVFAQ . SHIPPING . PRIVACY . CONDITIONS .  '</ul></dd>');
Define('CUSTOMER_SERVICE', '<dd class="third">
<ul>' . TITLE_THREE . FACEBOOK . GOOGLEPLUS . TWITTER . PINTERUS . BLOG  . '</ul></dd>');

/*EOF Footer Menu Definitions*/

 

//EOF